sample of input to simplex
4 9
      1    2    3    4    5    6    7    8      9
    
1     5  -14   32    2  -97    8    3    4    832
2    22    4    0  -77    3    8    0    4    -13
3     0    0    1   11    0  -66    0   22     33
4    -1   -2   -3    0    0    0    0   33    555

You may write any comments you wish from this point on.

The first line of the file is a sequence of at most 126 characters.
You may use this as a caption for the file.
 
The second line contain the number (m) of rows 
and the number (n) os columns of the matrix.

The third line contains a permutation of 1..n (usualy ending 
with n); these are the column numbers.

Starting from the fifth, each line begins with a row number.
The row numbers are a permutation of 1..m (the last number in the 
permutation is usually m).



